Bug 7220 - The behavior of the action when providing an invalid value to escapeXml of <c:out> and <x:out> doesn't conform with the spec.
Summary: The behavior of the action when providing an invalid value to escapeXml of <c...
Status: CLOSED INVALID
Alias: None
Product: Taglibs
Classification: Unclassified
Component: Standard Taglib (show other bugs)
Version: unspecified
Hardware: All All
: P3 major (vote)
Target Milestone: ---
Assignee: Tomcat Developers Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-03-18 21:42 UTC by Ryan Lubke
Modified: 2004-11-16 19:05 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ryan Lubke 2002-03-18 21:42:56 UTC
Given:
  <c:out value="< > , ' \" &" escapeXml="falbse"/>

No exception is thrown, but according to section 2.7 of the Public Draft spec,
if a dynamic attribute with with a fixed set of values is provided an invalid
value, an exception must be thrown.
Comment 1 Shawn Bayern 2002-03-30 19:40:55 UTC
I believe section A.7.4 applies here too; let's revisit only if it's still an 
issue in PFD.
Comment 2 Ryan Lubke 2002-04-11 15:15:17 UTC
If section A.7.4 is applied, then an Exception should still occur.

  3rd bullet item:  Otherwise, if A is a String, and Boolean.valueOf(A) throws
                    Exception, error.


I'm now expanding this issue to include <x:out> as well.
Comment 3 Shawn Bayern 2002-04-17 21:25:33 UTC
I believe this is no longer an issue now.  Do you agree, Ryan?

Reasons:

- In PFD, we changed the wording to "valid string values". 
  (I joked that not just booleans, but numbers too, have a "fixed set of
  valid values.")   :-)

- Boolean.valueOf() doesn't throw parse errors; it collapses unrecognized
values   to false.